Name: gimp-help
Version: 2.4.0
Release: alt1.M40.1
Summary: Help files for the GIMP
License: FDL
Group: Graphics
Url: http://docs.gimp.org/

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: gimp >= 2.0
BuildArch: noarch

Source0: ftp://ftp.gimp.org/pub/gimp/help/%name-%version.tar.bz2

BuildRequires: docbook-dtds docbook-style-xsl gnome-doc-utils xml-utils xsltproc

%description
GIMP-Help is a help system designed for use with the internal GIMP 2
help browser, external web browser and HTML renderers, and human
eyeballs.

%package common
Summary: Common files for the GIMP help
Group: Graphics
Provides: %name = %version-%release
Obsoletes: %name < %version-%release

%description common
Common files for the GIMP help

%package en
Summary: English help files for the GIMP
Group: Graphics
Requires: %name-common = %version-%release

%description en
English help files for the GIMP

%package de
Summary: German help files for the GIMP
Group: Graphics
Requires: %name-common = %version-%release

%description de
German help files for the GIMP

%package fr
Summary: French help files for the GIMP
Group: Graphics
Requires: %name-common = %version-%release

%description fr
French help files for the GIMP

%package ru
Summary: Russian help files for the GIMP
Group: Graphics
Requires: %name-common = %version-%release

%description ru
Russian help files for the GIMP

%prep
%setup -q

%build
export ALL_LINGUAS="en de fr ru"
%configure \
	--without-gimp
%__make

%install
%__make DESTDIR=%buildroot install

find %buildroot%_datadir/gimp/2.0/help -type f -exec chmod 644 {} \;

%files common
%dir %_datadir/gimp/2.0/help
%dir %_datadir/gimp/2.0/help/images
%dir %_datadir/gimp/2.0/help/images/dialogs
%dir %_datadir/gimp/2.0/help/images/filters
%dir %_datadir/gimp/2.0/help/images/filters/examples
%dir %_datadir/gimp/2.0/help/images/math
%dir %_datadir/gimp/2.0/help/images/menus
%dir %_datadir/gimp/2.0/help/images/preferences
%dir %_datadir/gimp/2.0/help/images/tool-options
%dir %_datadir/gimp/2.0/help/images/toolbox
%dir %_datadir/gimp/2.0/help/images/tutorials
%dir %_datadir/gimp/2.0/help/images/using
%_datadir/gimp/2.0/help/images/*.png
%_datadir/gimp/2.0/help/images/callouts
%_datadir/gimp/2.0/help/images/glossary
%_datadir/gimp/2.0/help/images/dialogs/*.png
%_datadir/gimp/2.0/help/images/dialogs/examples
%_datadir/gimp/2.0/help/images/filters/*.png
%_datadir/gimp/2.0/help/images/filters/examples/*.*
%_datadir/gimp/2.0/help/images/math/*.png
%_datadir/gimp/2.0/help/images/menus/*.png
%_datadir/gimp/2.0/help/images/preferences/*.png
%_datadir/gimp/2.0/help/images/tool-options/*.png
%_datadir/gimp/2.0/help/images/toolbox/*.png
%_datadir/gimp/2.0/help/images/tutorials/*.png
%_datadir/gimp/2.0/help/images/tutorials/*.jpg
%_datadir/gimp/2.0/help/images/using/*.png
%_datadir/gimp/2.0/help/images/using/*.jpg
%_datadir/gimp/2.0/help/images/using/hr

%files en
%_datadir/gimp/2.0/help/en

%files de
%_datadir/gimp/2.0/help/de
%_datadir/gimp/2.0/help/images/dialogs/de
%_datadir/gimp/2.0/help/images/filters/de
%_datadir/gimp/2.0/help/images/filters/examples/de
%_datadir/gimp/2.0/help/images/menus/de
%_datadir/gimp/2.0/help/images/preferences/de
%_datadir/gimp/2.0/help/images/toolbox/de
%_datadir/gimp/2.0/help/images/using/de

%files fr
%_datadir/gimp/2.0/help/fr
%_datadir/gimp/2.0/help/images/dialogs/fr
%_datadir/gimp/2.0/help/images/filters/fr
%_datadir/gimp/2.0/help/images/filters/examples/fr
%_datadir/gimp/2.0/help/images/menus/fr
%_datadir/gimp/2.0/help/images/preferences/fr
%_datadir/gimp/2.0/help/images/toolbox/fr
%_datadir/gimp/2.0/help/images/using/fr

%files ru
%_datadir/gimp/2.0/help/ru
%_datadir/gimp/2.0/help/images/dialogs/ru
%_datadir/gimp/2.0/help/images/preferences/ru
%_datadir/gimp/2.0/help/images/using/ru

%changelog
* Mon Jan 28 2008 Valery Inozemtsev <shrek@altlinux.ru> 2.4.0-alt1.M40.1
- split some languages into separate subpackages

* Mon Dec 17 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.4.0-alt0.M40.1
- build for branch 4.0

* Sun Dec 02 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Sat Aug 11 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.0.13-alt1
- 2.0.13

* Sat May 05 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.0.12-alt1
- 2.0.12
- updated build dependencies
- spec cleanup

* Sun Mar 12 2006 Anatoly Yakushin <jaa@altlinux.ru> 2.0.9-alt1
- new version

* Thu Mar 09 2006 Michael Shigorin <mike@altlinux.org> 2.0.7-alt1.1
- picked up an orphan
- spec cleanup

* Sun Mar 20 2005 Anatoly Yakushin <jaa@altlinux.ru> 2.0.7-alt1
- initial spec to ALTLINUX TEAM

